import request from "@/utils/requestPhp";

// 获取图片分类
export function getcommonCategor(data) {
  return request({
    url: `/sourcematerial/getcommon-category`,
    method: 'post',
    data: data
  })
}
// 获取图片
export function getcommonpicture(data) {
  return request({
    url: "/sourcematerial/getcommon-picture",
    method: 'post',
    data: data
  });
}

export function storeAddcategory(data) {
  return request({
    url: '/sourcematerial/store-addcategory',
    method: 'post',
    data: {
      ...data
    },
  })
}
export function addImg(data) {
  return request({
    url: '/sourcematerial/add-img',
    method: 'post',
    data: {
      ...data
    },
  })
}
// 删除图片
export function delimg(data) {
  return request({
    url: '/sourcematerial/delimg',
    method: 'post',
    data: {
      ...data
    },
  })
}
// 删除类型
export function delcate(data) {
  return request({
    url: '/sourcematerial/delcate',
    method: 'post',
    data: {
      ...data
    },
  })
}